package worlds;

import flash.geom.Point;
import flash.events.Event;
import flash.events.MouseEvent;
import com.haxepunk.graphics.Image;
import com.haxepunk.World;
import com.haxepunk.Entity;
import com.haxepunk.HXP;
import com.haxepunk.masks.Hitbox;
import com.haxepunk.utils.Key;
import com.haxepunk.utils.Input;
import worlds.Intro;

class Win extends World
{
	public static var mouseClick: Bool;
	
    public function new()
    {
        super();
    }
	
	public override function begin() : Void
	{
	  	super.begin();
		addGraphic(new Image("gfx/Win.png"));
  	}

    public override function update() : Void
    {
		super.update();
		if (Input.mousePressed) {
			mouseClick = true;
		} else if (Input.mouseReleased && mouseClick) {
			mouseClick = false;
			HXP.world = new Intro();
		}
	}

}

